//********************************************************************
//*** ResourcePool/mysql/ResourcePoolInstances.cc
//*** Copyright (c) 2003 by Markus Winand <mws@fatalmind.com>
//*** $Id: ResourcePoolInstances.cc,v 1.4 2003/08/14 20:35:53 mws Exp $
//********************************************************************

#ifndef RESOURCEPOOL_RESOURCEPOOL_HH
#include "ResourcePool/ResourcePool.hh"
#endif

#include "ResourcePool/ResourcePool.cc"
#include "ResourcePool/Execute.cc"
#include "ResourcePool/Command.cc"

#ifndef RESOURCEPOOL_MYSQL_RESOURCEPOOL_HH
#include "ResourcePool/mysql/ResourcePool.hh"
#endif

namespace fatalmind {

template class ResourcePool<ResourceType::mysql>;
template class Command<MYSQL>;

} //namespace fatalmind
