//********************************************************************
//*** Thread/LockStatisticsInstances.cc
//*** Copyright (c) 2003-2004 by Markus Winand <mws@fatalmind.com>
//*** $Id: LockStatisticsInstances.cc,v 1.6 2004/11/17 14:39:22 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of 
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

#ifndef INCLUDED_THREAD_LOCKSTATISTICS_HH
#include "Thread/LockStatistics.hh"
#endif

#include "Thread/LockStatistics.cc"

namespace fatalmind {

template std::ostream& operator<<(std::ostream& o
, const LockStatistics<NopLockUsageStatistics, NopLockTimingStatistics> & ls);

template std::ostream& operator<<(std::ostream& o
, const LockStatistics<LockUsageStatistics, NopLockTimingStatistics> & ls);

template std::ostream& operator<<(std::ostream& o
, const LockStatistics<NopLockUsageStatistics, LockTimingStatistics> & ls);

template std::ostream& operator<<(std::ostream& o
, const LockStatistics<LockUsageStatistics, LockTimingStatistics> & ls);

} // namespace fatalmind
